Package ghidra.app.util.viewer.proxy

# Class VariableProxy

java.lang.Object
ghidra.app.util.viewer.proxy.ProxyObj<Variable>
ghidra.app.util.viewer.proxy.VariableProxy

Direct Known Subclasses:
  `ClosedVariableProxy`

public class VariableProxy extends ProxyObj<Variable>
Stores information about a variable in a program such that the variable can be retrieved when needed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableProxy(ListingModel model, Program program, Address locationAddr, Function fun, Variable var, boolean isFirst)`
  Constructs a proxy for a variable.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(Address a)`
  Returns true if the proxy object of this class contains the given address.
  `Address`
  `getFunctionAddress()`
  `Address`
  `getLocationAddress()`
  `Variable`
  `getObject()`
  Returns the object that this proxy represents or null if the object no longer exists.
  `Program`
  `getProgram()`
  `boolean`
  `isFirst()`

  ### Methods inherited from class ghidra.app.util.viewer.proxy.ProxyObj

  `getListingLayoutModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VariableProxy

    public VariableProxy(ListingModel model, Program program, Address locationAddr, Function fun, Variable var, boolean isFirst)
    Constructs a proxy for a variable.
    Parameters:
      `model` - listing model
      `program` - the program containing the variable.
      `locationAddr` - the listing address at which the function exists or was inferred via reference
      `fun` - the function containing the variable.
      `var` - the variable to proxy.
      `isFirst` - true if this is the first parameter or variable

- ## Method Details

  - ### getObject

    public Variable getObject()
    Description copied from class: `ProxyObj`
    Returns the object that this proxy represents or null if the object no longer exists.
    Specified by:
      `getObject` in class `ProxyObj<Variable>`
    Returns:
      the object that this proxy represents or null if the object no longer exists.

  - ### getLocationAddress

    public Address getLocationAddress()

  - ### getFunctionAddress

    public Address getFunctionAddress()

  - ### getProgram

    public Program getProgram()

  - ### contains

    public boolean contains(Address a)
    Description copied from class: `ProxyObj`
    Returns true if the proxy object of this class contains the given address.
    Specified by:
      `contains` in class `ProxyObj<Variable>`
    Parameters:
      `a` - the address
    Returns:
      true if the proxy object of this class contains the given address.

  - ### isFirst

    public boolean isFirst()